#define RUNNING_RUNNER_FRAMES 6
#define JUMPING_RUNNER_FRAMES 1
#define ROLLING_RUNNER_FRAMES 1
#define RUNNERHEIGHT 20
#define RUNNERWIDTH 14

#define GRAVESTONEHEIGHT 24
#define GRAVESTONEWIDTH 26

#define BLOCKHEIGHTWIDTH 8
#define BLOCKXDISTANCE 2
#define BLOCKYDISTANCE (BLOCKHEIGHTWIDTH)


uint8_t runner[RUNNING_RUNNER_FRAMES][140] = {
    {0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0x00,0x00,0x0F,0xFF,0xFF,
    0xFF,0xF7,0x0F,0x00,0xF0,0x1F,0xFF,
    0xFF,0xF0,0x0F,0x00,0xFF,0x00,0x7F,
    0xFF,0xFF,0x0F,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x7F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x07,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x0F,0x70,0xFF,0xFF,
    0xFF,0xFF,0xB0,0x7F,0xF7,0x0F,0xFF,
    0xFF,0xFF,0x00,0xFF,0xFF,0x07,0xFF,
    0xFF,0xB0,0x0F,0xFF,0xFF,0xF0,0x0F,
    0xF0,0x00,0xFF,0xFF,0xFF,0xFF,0x07,
    0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0},

    {0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0x00,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0x07,0x00,0x00,0xFF,0xFF,
    0xFF,0xFF,0x00,0x00,0xF0,0x07,0xFF,
    0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x07,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFB,0x0F,0x07,0xFF,0xFF,
    0xFF,0xFF,0xF7,0x0F,0x70,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x0F,0xF0,0x0F,0xFF,
    0xFF,0xFB,0x00,0xFF,0xF7,0x0F,0xFF,
    0xFF,0x00,0x0F,0xFF,0xFF,0x70,0xFF,
    0xF0,0x0F,0xFF,0xFF,0xFF,0x70,0xFF},

    {0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF7,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF7,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x00,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xF0,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x07,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x0F,0x07,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x0F,0x07,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x0F,0x00,0xFF,0xFF,
    0xFF,0xFF,0xB0,0xFF,0x00,0xFF,0xFF,
    0xFF,0xF0,0x00,0xFF,0x70,0xFF,0xFF,
    0xFF,0x00,0xFF,0xFF,0x70,0xFF,0xFF},

    {0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x00,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x00,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF},

    {0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF7,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF7,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x00,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xF0,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x0F,0x00,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x0F,0x00,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x0F,0xF0,0x0F,0xFF,
    0xFF,0xFF,0x00,0xFF,0xF0,0x0F,0xFF,
    0xFF,0xFF,0x00,0xFF,0xF0,0x0F,0xFF,
    0xFF,0xFF,0x00,0xFF,0xFF,0xFF,0xFF},

    {0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0x00,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0x07,0x00,0x00,0xFF,0xFF,
    0xFF,0xFF,0x00,0x00,0xF0,0x07,0xFF,
    0xFF,0xFF,0xF0,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x00,0xFF,0xFF,
    0xFF,0xFF,0x00,0xFF,0xF0,0x0F,0xFF,
    0xFF,0xFF,0x00,0xFF,0xFF,0x00,0xFF,
    0xFF,0xF0,0x0F,0xFF,0xFF,0xF0,0x0F,
    0xFF,0xF0,0x0F,0xFF,0xFF,0xFF,0x00,
    0xFF,0x00,0xFF,0xFF,0xFF,0xFF,0x00,
    0xFF,0x00,0xFF,0xFF,0xFF,0xFF,0xFF}
};

uint8_t linerunner_jumping[JUMPING_RUNNER_FRAMES][140] = {
    {0xFF,0xFF,0xFF,0xFF,0x00,0xFF,0xFF,
    0xFF,0xFF,0xFF,0xF0,0x00,0x0F,0xFF,
    0xFF,0xFF,0xFF,0xF0,0x00,0x0F,0xFF,
    0xFF,0xFF,0xFF,0xF0,0x00,0x0F,0xFF,
    0xFF,0xFF,0xFF,0xFF,0x00,0xFF,0xFF,
    0xFF,0xFF,0xFF,0xFF,0x00,0xFF,0xFF,
    0xFF,0xFF,0xFF,0x00,0x00,0xFF,0xFF,
    0xFF,0xFF,0xF0,0x00,0x00,0xFF,0xFF,
    0xFF,0xFF,0x70,0xF0,0x0F,0x01,0xFF,
    0xFF,0xFF,0x00,0xF0,0x0F,0xF0,0x07,
    0xFF,0xFF,0xF0,0xF0,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0xF0,0x0F,0xFF,0xFF,
    0xFF,0xFF,0xFF,0xF0,0x07,0xFF,0xFF,
    0xFF,0xFF,0xF7,0x0B,0x70,0xFF,0xFF,
    0xFF,0xFF,0x70,0x0F,0xFF,0x0F,0xFF,
    0xFF,0xFF,0x00,0xFF,0xFF,0x70,0xFF,
    0x00,0x00,0xFF,0xFF,0xFF,0xF0,0x0F,
    0x07,0xBF,0xFF,0xFF,0xFF,0xF7,0x07,
    0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
    0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFB}
};

uint8_t linerunner_rolling[ROLLING_RUNNER_FRAMES][32] = {
   {0xFF,0xF0,0x0F,0xFF,
    0xF0,0x00,0x00,0x0F,
    0xF0,0x00,0x00,0x0F,
    0x00,0x00,0x00,0x00,
    0x00,0x00,0x00,0x00,
    0xF0,0x00,0x00,0x0F,
    0xF0,0x00,0x00,0x0F,
    0xFF,0xF0,0x0F,0xFF}
};


uint8_t dead[312] = {
    0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,
    0xFF,0xFF,0xFF,0x00,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xB0,0x0F,
    0xFF,0xFF,0xF0,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xB0,
    0xFF,0xFF,0xF0,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xB0,
    0xFF,0xFF,0x0B,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0x0F,
    0xFF,0xFF,0x0B,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0x0F,
    0xFF,0xFF,0x0B,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0x0F,
    0xFF,0xF0,0xBB,0xB0,0x00,0xBB,0xB0,0xBB,0x00,0x0B,0xBB,0xB0,0xFF,
    0xFF,0xF0,0xBB,0xB0,0xBB,0x0B,0xB0,0xBB,0x0B,0xB0,0xBB,0xB0,0xFF,
    0xFF,0xF0,0xBB,0xB0,0xBB,0x0B,0xB0,0xBB,0x0B,0xB0,0xBB,0xB0,0xFF,
    0xFF,0xF0,0xBB,0xB0,0x00,0xBB,0xB0,0xBB,0x00,0x0B,0xBB,0xB0,0xFF,
    0xFF,0x0B,0xBB,0x00,0xBB,0xBB,0x0B,0xB0,0xBB,0xBB,0xBB,0x0F,0xFF,
    0xFF,0x0B,0xBB,0x0B,0x0B,0xBB,0x0B,0xB0,0xBB,0xBB,0xBB,0x0F,0xFF,
    0xFF,0x0B,0xBB,0x0B,0xB0,0xBB,0x0B,0xB0,0xBB,0xBB,0xBB,0x0F,0xFF,
    0xFF,0x0B,0xBB,0x0B,0xB0,0xBB,0x0B,0xB0,0xBB,0xBB,0xBB,0x0F,0xFF,
    0xF0,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xB0,0xFF,0xFF,
    0xF0,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xB0,0xFF,0xFF,
    0xF0,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xB0,0xFF,0xFF,
    0xF0,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xB0,0xFF,0xFF,
    0x0B,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0x0F,0xFF,0xFF,
    0x0B,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0x0F,0xFF,0xFF,
    0x0B,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0x0F,0xFF,0xFF,
    0x0B,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0xBB,0x0F,0xFF,0xFF,
    0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xFF
};
